/*
Abstand.cpp - Library for calculating cm-values out of an analog input from an IR-distance-sensor.
Created by Tobias Quix, November 20, 2013.
Released for the "InfoSphere - Schülerlabor Informatik".
*/

#include "Arduino.h"
#include "Abstand.h"

Abstand::Abstand() {
}

int Abstand::berechneZentimeter(float val) {
	_val = 12343.85 * pow(val, -1.15);
	return (int) ((_val)+.5);
}